todays78910
Posts: 1
Joined: Fri May 22, 2020 5:57 pm

Old MAME running games newer MAME can not

I have noticed newer vertions of MAME can't run some games that older MAME run with no problem
For example
MAME 0.146 can run The king of fighters 97
MAME 0.220 can not run The king of fighters 97

Does any one have an idea of what's going on here?

User avatar
Tafoid
Posts: 295
Joined: Thu Nov 06, 2014 12:50 pm
Location: USA
Contact: Website

Re: Old MAME running games newer MAME can not

todays78910 wrote:
Sun May 24, 2020 4:00 am
I have noticed newer vertions of MAME can't run some games that older MAME run with no problem
For example
MAME 0.146 can run The king of fighters 97
MAME 0.220 can not run The king of fighters 97

Does any one have an idea of what's going on here?

MAME 0.220 can certainly run the machine in question.
The issue you are most likely having is that you are using an older romset which is likely missing parts which the newer MAME requires. In your specific case, I would bet that you are most likely missing any updates to the "neogeo.zip" bios package over the last 8 or so years (time between your listed releases above).

You can read and learn more about romsets at these links:
https://wiki.mamedev.org/index.php/FAQ:ROMs
https://docs.mamedev.org/usingmame/aboutromsets.html

Return to “MAME Discussion”